# Generate Photo Avatar Looks

Generates additional looks (images) for a trained avatar group. 

<Callout icon="📘" theme="info">
  **Note:**

  * The avatar group must be trained to use this endpoint. Refer to the <Anchor label="Train Photo Avatar Group" target="_blank" href="https://docs.heygen.com/reference/train-photo-avatar-group">Train Photo Avatar Group</Anchor> endpoint for more details on training the avatar group.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/photo_avatar/look/generate": {
      "post": {
        "summary": "Generate photo avatar looks",
        "description": "This endpoint can be used to generate additional looks for a trained photo avatar group. The photo avatar group must be trained to use this endpoint.",
        "operationId": "generate-photo-avatar-looks",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "group_id": {
                    "type": "string",
                    "description": "Unique identifier of the avatar group to which the new look will be added. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/create-photo-avatar-group\" target=\"_blank\">Create Photo Avatar Group</a> endpoint."
                  },
                  "prompt": {
                    "type": "string",
                    "description": "Text prompt describing the look's appearance, such as clothing, mood, lightning, etc. Maximum 1000 characters. "
                  },
                  "orientation": {
                    "type": "string",
                    "enum": [
                      "square",
                      "horizontal",
                      "vertical"
                    ],
                    "description": "Image orientation for the generated look. "
                  },
                  "pose": {
                    "type": "string",
                    "enum": [
                      "half_body",
                      "close_up",
                      "full_body"
                    ],
                    "description": "Framing or body coverage in the look. "
                  },
                  "style": {
                    "type": "string",
                    "enum": [
                      "Realistic",
                      "Pixar",
                      "Cinematic",
                      "Vintage",
                      "Noir",
                      "Cyberpunk",
                      "Unspecified"
                    ],
                    "description": "Visual or artistic style of the generated look. "
                  }
                },
                "required": [
                  "group_id",
                  "prompt",
                  "orientation",
                  "pose",
                  "style"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Looks generation initiated successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "generation_id": "21f9b324dd814d24a6f1bad1b0573318"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "generation_id": {
                          "type": "string",
                          "description": "Unique identifier of the AI-generated look. "
                        }
                      },
                      "description": "Contains the generation ID of the look. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```